debian-glibc,

I've seen one person get burned by this, so I was thinking of 
something along the lines of the Sparc test in preinst that checks
to see if the kernel version is the minimum required for glibc.

Comments?

c.

--- debian/libc/DEBIAN/preinst.orig     2002-12-02 20:21:46.000000000 -0500
+++ debian/libc/DEBIAN/preinst  2002-12-02 20:31:16.000000000 -0500
@@ -100,6 +100,19 @@
            fi
        fi
     fi
+    # HPPA boxes require latest fixes in the kernel to function properly.
+    if [ "$realarch" = parisc64 ] || [ "$realarch" = parisc ]
+    then
+       kernel_ver=`uname -r`
+       if dpkg --compare-versions "$kernel_ver" lt 2.4.19
+       then
+               echo WARNING: This version of libc6 requires that you be running
+               echo atleast a 2.4.19 kernel in order to work properly. Earlier
+               echo kernels did not provide the proper functionality in order 
+               echo for the system to be stable. 
+               exit 1
+       fi
+    fi
 fi
 
 exit 0

Reply via email to